#ifndef PROGRAM_H
#define PROGRAM_H

#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <NTPClient.h>
#include <WiFiUdp.h>

#include "DiscordAPI.h"


class Program {
public:
    /**
     * Program startup
     */
    Program();

    /**
     * Program main loop
     */
    void loop();

private:
    DiscordAPI* discord;
    WiFiUDP* ntpUDP;
    NTPClient* timeClient;
};

#endif
